> For the complete documentation index, see [llms.txt](https://docs.hivepress.io/developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hivepress.io/developer-docs/framework/fields/date-range.md).

# Date Range

This field type renders a date range picker.

### Parameters

Parameters are inherited from the [Date](/developer-docs/framework/fields/date.md) field type, with these extra ones:

* **min\_length** - the minimum number of days available for selection;
* **max\_length** - the maximum number of days available for selection.

### Example

The code below renders a required date range picker with the `custom_field` name, "Custom field" label and custom date formats (e.g. the source date "2001-01-01" is displayed as "January 1, 2001"). It allows selecting a date range from 7 up to 30 days.

```php
echo ( new HivePress\Fields\Date_Range(
	[
		'name'           => 'custom_field',
		'label'          => 'Custom field',
		'format'         => 'Y-m-d',
		'display_format' => 'F j, Y',
		'min_length'     => 7,
		'max_length'     => 30,
		'required'       => true,
	]
) )->render();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hivepress.io/developer-docs/framework/fields/date-range.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
